#include <stdio.h>
#include "java_ser.h"

test_gft_out_sv() {
   char *name = "grr.sv";
   double time = 0.0;
   static double fx[] = { 1.0, 2.0, 3.0, 4.0, 5.0 };  
   static int shape[] = { 5 };

   static int shape2[] = { 2, 3 };
   static double fxy[] = { 1.0, 2.0, 3.0, 4.0, 5.0, 1.0 };

   gft_out_sv(name, time, shape, 1, fx);
   gft_out_sv(name, time, shape2, 2, fxy);
}


test_gft_out_bbox_sv() {
   char *name = "test";
   double time = 10.0;
   static double coord[] = { 1.0, 2,0 }; 
   static double fx[] = { 1.0, 2.0, 3.0, 4.0, 5.0 };  
   static int shape[] = { 5 };

   static double coord2[] = { 0.0, 1.0, 0.0, 2.0 };
   static int shape2[] = { 2, 3 };
   static double fxy[] = { 1.0, 2.0, 3.0, 4.0, 5.0, 1.0 };

   gft_out_bbox_sv(name, time, shape, 1, coord, fx);
   gft_out_bbox_sv(name, time, shape2, 2, coord2, fxy);
}


test_gft_outm_sv() {
   char *name = "test";
   int nt = 2;
   
   static double time[] = { 1.0, 2.0 };
   static int shape1[] = { 5, 5 };
   static int rank1[] = { 1, 1 };
   static double fxy1[] = { 0.0, 1.0, 2.0, 3.0, 4.0,
			    0.0, 2.0, 2.0, 3.0, 5.0 };



   static int shape2[] = { 2, 3, 2, 3 };
   static int rank2[] = { 2, 2 };
   static double fxy2[] = { 1.0, 2.0, 3.0, 4.0, 5.0, 1.0,
                           5.0, 4.0, 3.0, 2.0, 2.0, 1.0 };

   gft_outm_sv(name, time, shape1, nt, rank1, fxy1);
   gft_outm_sv(name, time, shape2, nt, rank2, fxy2);
}


test_gft_outm_bbox_sv() {
  char *name = "test";
   int nt = 2;
   
   static double time[] = { 1.0, 2.0 };
   static int shape1[] = { 5, 5 };
   static int rank1[] = { 1, 1 };
   static double coords1[] = { 1.0, 2.0, 1.0, 1.5 };
   static double fxy1[] = { 0.0, 1.0, 2.0, 3.0, 4.0,
			    0.0, 2.0, 2.0, 3.0, 5.0 };
   


   static int shape2[] = { 2, 3, 2, 3 };
   static int rank2[] = { 2, 2 };
   static double coords2[] = { 1.0, 2.0, 1.0, 1.5,  2.0, 3.0, 1.0, 1.5,};
   static double fxy2[] = { 1.0, 2.0, 3.0, 4.0, 5.0, 1.0,
                           5.0, 4.0, 3.0, 2.0, 2.0, 1.0 };
   

   gft_outm_bbox_sv(name, time, shape1, nt, rank1, coords1,  fxy1);
   gft_outm_bbox_sv(name, time, shape2, nt, rank2, coords2,  fxy2);
}


main() {

   test_gft_out_sv();
   /*
   test_gft_out_bbox_sv();
   test_gft_outm_sv();
   test_gft_outm_bbox_sv();
   */
}

